com.android.agf.fragments

## Class DashboardFragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - android.support.v4.app.ListFragment
    - - com.android.agf.fragments.DashboardFragment

- All Implemented Interfaces:
    ComponentCallbacks, View.OnCreateContextMenuListener

      public class DashboardFragment
      extends ListFragment

  fragment per la gestio de components, implementa un listview
  Author:
    albert

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `DashboardFragment.MyShare` classe local que estend del asynctask de compartir dashboard

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `Fragment.InstantiationException, Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) View.OnClickListener` | `creaOnClickListener` listener per la creacio de dashboards
    `(package private) View.OnClickListener` | `deleteOnClickListener` listener elimina dashboard
    `(package private) View.OnClickListener` | `editOnClickListener` listener edicio dashboard
    `(package private) View.OnClickListener` | `loadClickListener` listener carrega dashboard extern
    `(package private) View.OnClickListener` | `sendOnClickListener` listener envia dashboard
    `(package private) View.OnClickListener` | `sortOnClickListener` listener ordenacio dashboard

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DashboardFragment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addDashboard(String n, String d)` inici activity creacio nou dashboard parametritzat
    `void` | `iniciaDashboard(int pos)` inicia activity visualitzacio dashboard
    `void` | `onActivityCreated(Bundle savedInstanceState)`
    `void` | `onCreate(Bundle savedInstanceState)`
    `View` | `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)` generació del layout del fragment segons rols
    `void` | `onDestroy()` neteja d'objectes per facilitar la crida de GC per millorar el heap de memoria
    `void` | `onListItemClick(ListView l, View v, int position, long id)`
    `void` | `onResume()` crida cada cop que el fragment pasi a primer pla, carrega usuari i dades del llistat

    - ### Methods inherited from class android.support.v4.app.ListFragment

      `getListAdapter, getListView, getSelectedItemId, getSelectedItemPosition, onDestroyView, onViewCreated, setEmptyText, setListAdapter, setListShown, setListShownNoAnimation, setSelection`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getArguments, getChildFragmentManager, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getResources, getRetainInstance, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityResult, onAttach, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateContextMenu, onCreateOptionsMenu, onDestroyOptionsMenu, onDetach, onHiddenChanged, onInflate, onLowMemory, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPrepareOptionsMenu, onSaveInstanceState, onStart, onStop, onViewStateRestored, registerForContextMenu, setArguments, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setRetainInstance, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### creaOnClickListener

          View.OnClickListener creaOnClickListener

      listener per la creacio de dashboards

    - #### loadClickListener

          View.OnClickListener loadClickListener

      listener carrega dashboard extern

    - #### editOnClickListener

          View.OnClickListener editOnClickListener

      listener edicio dashboard

    - #### sortOnClickListener

          View.OnClickListener sortOnClickListener

      listener ordenacio dashboard

    - #### sendOnClickListener

          View.OnClickListener sendOnClickListener

      listener envia dashboard

    - #### deleteOnClickListener

          View.OnClickListener deleteOnClickListener

      listener elimina dashboard

  - ### Constructor Detail

    - #### DashboardFragment

          public DashboardFragment()

  - ### Method Detail

    - #### onCreate

          public void onCreate(Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `Fragment`

    - #### onCreateView

          public View onCreateView(LayoutInflater inflater,
                          ViewGroup container,
                          Bundle savedInstanceState)

      generació del layout del fragment segons rols
      Overrides:
        `onCreateView` in class `ListFragment`

    - #### onActivityCreated

          public void onActivityCreated(Bundle savedInstanceState)

      Overrides:
        `onActivityCreated` in class `Fragment`

    - #### onResume

          public void onResume()

      crida cada cop que el fragment pasi a primer pla, carrega usuari i dades del llistat
      Overrides:
        `onResume` in class `Fragment`

    - #### onDestroy

          public void onDestroy()

      neteja d'objectes per facilitar la crida de GC per millorar el heap de memoria
      Overrides:
        `onDestroy` in class `Fragment`

    - #### addDashboard

          protected void addDashboard(String n,
                          String d)

      inici activity creacio nou dashboard parametritzat
      Parameters:
        `n` -
        `d` -

    - #### onListItemClick

          public void onListItemClick(ListView l,
                             View v,
                             int position,
                             long id)

      Overrides:
        `onListItemClick` in class `ListFragment`

    - #### iniciaDashboard

          public void iniciaDashboard(int pos)

      inicia activity visualitzacio dashboard
      Parameters:
        `pos` -